module.exports = {
  context: __dirname,
  entry: {
    myfunction: ['./src/index']
  },
  output: {
    filename: 'js/[name].js',
    library: {
      name: 'myfunction',
      type: 'umd',
      export: 'default'
    },
    clean: {
      keep: 'index.html'
    }
  },

  module : {
    rules : [
      {
        test: /\.jsx?$/,
        exclude: /node_modules/,
        loader: 'babel-loader',
        options: {
          presets: [
            ['@babel/preset-env', {
              useBuiltIns: 'usage',
              corejs: 3.18
            }],
            ['@babel/preset-react']
          ]
        }
      }
    ]
  }
};
